/*
  GPS_Tester_N5IB.ino
  5 December 2019 
  Software serial multple serial test
  To test receiving from GPS, selecting a given NMEA sentence
  and parsing the sentence to extract relevant data
  and echo selected NMEA sentences to the serial monitor
  and display parsed data to an LCD panel

 Receives GPS serial data from software serial, sends to hardware serial.

 The circuit:
 * RX is digital pin connected to TX of other device)
 * TX is digital pin connected to RX of other device)

 created back in the mists of time
 modified 25 May 2012
 by Tom Igoe, based on Mikal Hart's example
 Modified 5 Dec 2019 for GPS specific serial data by Jim Giammanco, N5IB
 
 This example code is in the public domain.

 */

#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#define BACKLIGHT_PIN     3
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // Set the LCD I2C address, in this case hex 027

#define gpsRXpin 11   // RX is digital pin 11 (connect to TX of other device)
#define gpsTXpin 13   // TX is digital pin 13 (connect to RX of other device)
float Longitude, Lattitude;
long Latx, Lonx;
String GPS, MH_txt;


#include <SoftwareSerial.h>
SoftwareSerial gpsSerial(gpsRXpin, gpsTXpin); // create serial comms object

void setup() {
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.println("Software Serial Test");

  // set the data rate for the SoftwareSerial port
  gpsSerial.begin(4800);

         lcd.begin(20, 4);  // configure for 20 X 4 display

  // Switch on the backlight
  pinMode ( BACKLIGHT_PIN, OUTPUT );
  digitalWrite ( BACKLIGHT_PIN, HIGH );

  lcd.setCursor(1,0);    
  lcd.print("    Hello N5IB!");
  delay(1000);
  lcd.home ();                   // go home
  lcd.clear();
}

void loop() { // run over and over

   GPS=gpsSerial.readStringUntil(0x0D); // wait for a $GPGGA sentence
   Serial.println(GPS);

}


